<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo01" aria-controls="navbarTogglerDemo01" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarTogglerDemo01">
    <a class="navbar-brand" href="#">Giphy</a>
    <ul class="navbar-nav mr-auto mt-2 mt-lg-0">
      <li class="nav-item active">
	  	{#
		  lien:
		  	url : lien absolu
			  path : lien relatif
		  cibler le nom des routes définis dans la propriété name de l'annotation @Route
		  #}
      <a class="nav-link" href="{{ url('homepage.index') }}">Accueil</a>
      <li class="nav-item dropdown">
      <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        Catégories
      </a>
      {#{{ get_categories() }} #}
      <div class="dropdown-menu" aria-labelledby="navbarDropdown">
        {% for category in get_categories() | filter(value=> value.parent == null) %}
            {#
              lien vers une route contenant une variable de route : URL ou path
                le second paramètre permet de spécifier les variable de route
            #}
              <a class="dropdown-item" href="{{ url('category.index', { categorySlug: category.slug }) }}">{{ category.name | title }} </a>
        {% endfor %}
      </div>
      </li>
    </ul>
    
    <ul class= "navbar-nav ml-auto mt-2 mt-lg-0">
      {#
        is_granted : permet de tester :
          l'état de connexion de l'utilisateur
          le rôle de l'utilisateur (ROLE_USER par defaut)
      #}
      {% if is_granted('IS_AUTHENTICATED_FULLY') %}
        <li class="nav-item">
          <a class="nav-link" href="{{ url('security.logout') }}">Déconnexion</a>
        </li>
      {% else %}
        <li class="nav-item">
          <a class="nav-link" href="{{ url('security.login') }}">Connexion</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{{ url('registration.register') }}">Enregistrement</a>
        </li>
      {% endif %}
    
      <li class="nav-item">
        <a class="nav-link" href="{{ url('search.index') }}">Recherche de Gif</a>
      </li>
    </ul>
  </div>
</nav>
